No XSD is created when exporting to GML
Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21031

Description

Since QGIS 2.4, when exporting a layer to GML (Save as..), the XSD file is not created (XSISCHEMA EXTERNAL). 

With previous QGIS versions the xsd was created.

From ogr2ogr command, the XSD is generated properly.

History

#1 - 2015-06-12 09:25 AM - Giovanni Manghi

- Target version changed from Version 2.10 to Future Release - High Priority

- Status changed from Open to Feedback

is the gml without the xsd still functional?

#2 - 2015-06-12 10:22 AM - Pedro Venâncio

Yes Giovanni, the only problem is the lack of schema file creation, despite the option XSISCHEMA EXTERNAL and XSISCHEMAURI.

#3 - 2015-06-12 10:37 AM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2017-05-01 01:07 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2019-03-09 04:09 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

#6 - 2019-03-11 06:03 PM - Pedro Venâncio
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/


This seems fixed in QGIS 3!
